-- Thanks to phanx for her excellent (as usual) tutorial on addons localization.
-- https://phanx.net/addons/tutorials/localize

local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "itIT" then
	-- Italian translations by me :)
	L["Character"]			= "Personaggio"
	L["Spellbook and Abilities"]	= "Grimorio e abilità"
	L["Specialization and Talents"] = "Specializzazione e talenti"
	L["Achievements"]		= "Imprese"
	L["Quest Log"]			= "Registro missioni"
	L["Guild"]				= "Gilda e comunità"
	L["Group Finder"]		= "Ricerca Gruppi"
	L["Collections"]		= "Collezioni"
	L["Adventure Guide"]	= "Guida alle avventure"
	L["Game Menu"]			= "Menu di gioco"
	L["Reload UI"]			= "Ricarica UI"
	L["Total addon(s):"]	= "Addon(s) totali:"
	L["Number of addons:"]	= "Numero di addons:"
	L["Reset and reload UI"] = "Reset e ricarica UI"
	L["Reset settings and reload UI"] = "Reset dei settaggi e ricarica UI" 
	L["Save and reload UI"]	= "Salva e ricarica UI"
	L["Save settings and reload your UI"] = "Salva e ricarica UI"
	L["version"] 			= "versione"
	L["Show Icons"]			= "Mostra icone"
	L["Show Bind Keys"]		= "Mostra tasti associati"
return end

if LOCALE == "frFR" then
	-- French translations by Therenor :)
	L["Character"]							= "Infos personnage"
	L["Spellbook and Abilities"]			= "Grimoire & Techniques"
	L["Specialization and Talents"]			= "Specialisation & Talents"
	L["Achievements"]						= "Haut faits"
	L["Quest Log"]							= "Journal des quêtes"
	L["Guild"]								= "Guilde et communautés"
	L["Group Finder"]						= "Recherche de groupe"
	L["Collections"]						= "Collections"
	L["Adventure Guide"]					= "Guide de l'aventurier"
	L["Game Menu"]							= "Menu de jeu"
	L["Reload UI"]							= "Recharger l'interface"
	L["Total addon(s):"]					= "Addons chargés :"
	L["Number of addons:"]					= "Nombre d'addons :"
	L["Reset and reload UI"] 				= "Réinitialiser"
	L["Reset settings and reload UI"]		= "Réinitialiser et recharger l'interface" 
	L["Save and reload UI"]					= "Enregistrer"
	L["Save settings and reload your UI"]	= "Enregistrer et recharger l'interface"
	L["version"] 							= "version"
	L["Show Icons"]							= "Afficher les icônes"
	L["Show Bind Keys"]						= "Afficher les raccourcis"
return end